Package it.ernytech.tdlib

## Class TdApi.AddFavoriteSticker

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddFavoriteSticker

Enclosing class:
  TdApi

    public static class TdApi.AddFavoriteSticker
    extends TdApi.Function

Adds a new sticker to the list of favorite stickers. The new sticker is added to the top of the list. If the sticker was already in the list, it is removed from the list first. Only stickers belonging to a sticker set can be added to this list.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputFile` `sticker` Sticker file to add.

### Constructor Summary

Constructors
`AddFavoriteSticker()` Default constructor.
`AddFavoriteSticker​(TdApi.InputFile sticker)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### sticker

    public TdApi.InputFile sticker

Sticker file to add.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddFavoriteSticker

    public AddFavoriteSticker()

Default constructor.

#### AddFavoriteSticker

    public AddFavoriteSticker​(TdApi.InputFile sticker)

Constructor for initialization of all fields.

Parameters:
  `sticker` - Sticker file to add.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR